﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace HiddenKeyboardFix
{
    public partial class MainPage : PhoneApplicationPage
    {
        int currentEditingRow = -1;

        public MainPage()
        {
            InitializeComponent();
        }

        private void TextBlock_Tap(object sender, GestureEventArgs e)
        {
            TextBlock block = sender as TextBlock;
            StackPanel parentStack = block.Parent as StackPanel;
            int textBlockIndex = parentStack.Children.IndexOf(block);
            Control textBox = null;
            if (textBlockIndex == currentEditingRow-1)
            {
                textBox = parentStack.Children.ElementAtOrDefault(textBlockIndex - 1) as Control;
            }
            else
            {
                textBox = parentStack.Children.ElementAtOrDefault(textBlockIndex + 1) as Control;
            }
            if (textBox != null)
                textBox.Focus();
        }

        private void TextBox_GotFocus(object sender, RoutedEventArgs e)
        {
            Control box = sender as Control;
            StackPanel parentStack = box.Parent as StackPanel;
            currentEditingRow = parentStack.Children.IndexOf(box);
        }

        private void TextBox_LostFocus(object sender, RoutedEventArgs e)
        {
            currentEditingRow = -1;
        }
    }
}